Version 6.x.x Source

Table Name: `tabAddress Template`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `country` | Link | Country | Country
2 | `is_default` | Check | Is Default This format is used if country specific format is not found |
3 | `template` | Code | Template #### Default Template Uses Jinja Templating and all the fields of Address (including Custom Fields if any) will be available
    {{ address_line1 }}<br>
    {% if address_line2 %}{{ address_line2 }}<br>{% endif -%}
    {{ city }}<br>
    {% if state %}{{ state }}<br>{% endif -%}
    {% if pincode %} PIN:  {{ pincode }}<br>{% endif -%}
    {{ country }}<br>
    {% if phone %}Phone: {{ phone }}<br>{% endif -%}
    {% if fax %}Fax: {{ fax }}<br>{% endif -%}
    {% if email_id %}Email: {{ email_id }}<br>{% endif -%}

### Controller

#### erpnext.utilities.doctype.address_template.address_template

### Class AddressTemplate

Inherits from frappe.model.document.Document

on_trash (self)

No docs

on_update (self)

No docs

validate (self)

No docs